extends Camera3D

@onready var env = get_parent().find_child("WorldEnvironment").environment

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass

func _input(event):
	if event is InputEventMouseMotion:
		if Input.is_action_pressed("click"):
			rotation.y += event.relative.x * 0.002
			rotation.x += event.relative.y * 0.002
	if event.is_action_pressed("toggle_fog"):
		env.volumetric_fog_enabled = !env.volumetric_fog_enabled
